matrix< T > Class Template Reference

`#include <array.h>`

## Public Member Functions

| matrix (unsigned int x, unsigned int y)
| matrix (const matrix &p)
unsigned int | length () const
T * | operator[] (unsigned int a)
T const * | operator[] (unsigned int a) const

## Detailed Description

template<typename T>
class matrix< T >

Reference counted pointer to matrix wrapper, for use with standard containers.

The documentation for this class was generated from the following file:

- array.h